## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/lexicons

Try it

Get Lexicons

cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons \
  --header 'X-API-Key: <api-key>'
```

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

#### Example Response

```json
{
  "items": [
    {
      "name": "New Lexicon",
      "description": "Countries members of the European Union, e.g. Spain",
      "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "previousCursor": "<string>",
  "nextCursor": "<string>"
}
```

#### Error Responses

- **400 Bad Request**
```
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

-- Follow similar structure for other error responses --

#### Authorizations

##### API Key

**X-API-Key**  
Type: string  
Location: header  
Required: Yes

Supply the API Key in the HTTP-Header

#### Headers

**Accept**  
Type: enum<string>

The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

Available options:

- `application/json`
- `application/hal+json`
- `application/xml`
- `text/xml`
- `text/csv`

#### Query Parameters

- **projectId**: Unique identifier for the Project. Required string length: `24`
- **filter**: The string to filter Lexicons by name.
- **limit**: The maximum number of items to return. The default value is 25, maximum 100. Required range: `1 <= x <= 100`
- **skip**: Number of items to skip before returning the results. Default is 0.
- **sort**: Sorting rule in the format `field:direction`.
- **next**: Cursor for the next page of results. Required string length: `24`
- **previous**: Cursor for the previous page of results. Required string length: `24`

#### Response Structure

- **200**: Returns array of a Lexicons
- **items**: object[] (Showchild attributes)

- **total**: integer
    - **previousCursor**: string
    - **nextCursor**: string

---  
Last modified on July 8, 2026.
